<?php

/*
 * AIT WordPress Theme
 *
 * Copyright (c) 2013, Affinity Information Technology, s.r.o. (http://ait-themes.com)
 */

// === Usefull debugging constants ===================================

// if(!defined('AIT_DISABLE_CACHE')) define('AIT_DISABLE_CACHE', true);


// === Loads AIT WordPress Framework ================================
require_once get_template_directory() . '/ait-theme/@framework/load.php';


// === Mandatory WordPress Standard functionality ===================

if(!isset($content_width)) $content_width = 1200;


// === Custom filters, actions for framework overrides ==============


// === Run the theme ===============================================

$themeConfiguration = include aitPath('config', '/@theme-configuration.php');

AitTheme::run($themeConfiguration);


// === Custom settings ==============================================

// === Custom filters, actions for framework overrides ==============
require_once (aitPaths()->dir->ait.'/includes/ait-custom-functions.php');

add_filter('loop_shop_columns', create_function('', 'return 3;'));

// Display 6 products per page
add_filter('loop_shop_per_page', create_function( '$cols', 'return 6;' ), 20);



if ( aitIsPluginActive( "woocommerce" ) ) {
	add_action('after_switch_theme', 'ait_woocommerce_image_sizes', 1);
	function ait_woocommerce_image_sizes(){
		update_option( 'shop_single_image_size', array('width' => '600', 'height' => '600', 'crop' => 1) );
	}
}



// Change number of related products on product page
// Set your own value for 'posts_per_page'
add_filter( 'woocommerce_output_related_products_args', 'ait_related_products_args' );
function ait_related_products_args( $args ) {
	$args['posts_per_page'] = 3; // 3 related products
	$args['columns'] = 3; // arranged in 2 columns
	return $args;
}


// Disable woocommerce default styles
if ( aitIsPluginActive( "woocommerce" ) ) {
	if ( version_compare( WOOCOMMERCE_VERSION, "2.1" ) >= 0 ) {
		add_filter( 'woocommerce_enqueue_styles', create_function('', 'return array();') );
	} else {
		define( 'WOOCOMMERCE_USE_CSS', false );
	}
}


// Display X Products per page.
add_filter( 'loop_shop_per_page', create_function( '$cols', 'return 9;' ), 20 );


function ait_obituary_archive_count($query){
	if(!$query->is_admin) {
		if ( is_post_type_archive( 'ait-obituary' ) ) {
			// get the setting from admin
			$themeOptions = aitOptions()->getOptionsByType('theme');
			$postsPerPage = isset($themeOptions['obituary']['postsPerPage']) ? $themeOptions['obituary']['postsPerPage'] : 5;

			$query->set( 'posts_per_page', $postsPerPage );			
		}
	}
}
add_action( 'pre_get_posts', 'ait_obituary_archive_count' );