
	{if !$wp->isSingular}

		{if $wp->isSearch}

			{*** SEARCH RESULTS ONLY ***}

			<article {!$post->htmlId} {!$post->htmlClass}>
				<header class="entry-header">

					{capture $editLinkLabel}<span class="edit-link">{!__ 'Edit'}</span>{/capture}
					{!$post->editLink($editLinkLabel)}

					<div class="entry-meta">

						{includePart parts/entry-date-format, dateIcon => $post->rawDate, dateLinks => 'no', dateShort => 'no'}

						{if $post->isSticky and !$wp->isPaged and $wp->isHome}
							<span class="featured-post">{__ 'Featured post'}</span>
						{/if}

					</div><!-- /.entry-meta -->

					<div class="entry-title">

						<div class="entry-title-wrap">

							<h2><a href="{$post->permalink}">{!$post->title}</a></h2>

							{if $post->isInAnyCategory}
								{includePart parts/entry-categories}
							{/if}

						</div><!-- /.entry-title-wrap -->
					</div><!-- /.entry-title -->
				</header><!-- /.entry-header -->

				<div class="entry-content loop">
					{!$post->excerpt}
					<a href="{$post->permalink}" class="more">{__ 'Read more'}</a>
				</div><!-- .entry-content -->

				<footer class="entry-footer">

				</footer><!-- /.entry-footer -->
			</article>

		{elseif $wp->isPostTypeArchive('ait-obituary') }

			{var $obituaryMeta = $post->meta('obituary-data')}

			<a href="{$post->permalink}" class="obituary-wrapper">
			<article n:class="$post->htmlClass('', false), count($obituaryMeta->checkpoints) > 0 ? has-post-checkpoints" {!$post->htmlId}>

				<div class="entry-thumbnail">

						<div class="entry-thumbnail-wrap entry-content">
							{if $post->hasImage}
								<img src="{imageUrl $post->imageUrl, width => 190, height => 220, crop => 1}" alt="{$post->title}">
							{else}
								<img src="{imageUrl $options->theme->obituary->defAvatar, width => 190, height => 220, crop => 1}" alt="{$post->title}">
							{/if}
						</div>
						<div class="entry-thumbnail-hover">

							<span class="read-more">{__ 'Read more'}</span>
						</div>

				</div>

				<div class="entry-title-wrap">
					<div class="entry-title">
							{if trim($obituaryMeta->lastName) == "" AND trim($obituaryMeta->firstName) == ""}
								<h3>{$post->title}</h3>
							{else}
								<h3>{$obituaryMeta->lastName}, {$obituaryMeta->firstName}</h3>
							{/if}
							<span class="entry-date">{$obituaryMeta->dateBorn|dateI18n} - {$obituaryMeta->dateDeath|dateI18n}</span>
					</div><!-- /.entry-title -->

					<div class="entry-content loop">
						{if $post->hasExcerpt}
							{!$post->excerpt|striptags|trim|truncate: 150}
						{else}
							{!$post->content|striptags|trim|truncate: 150}
						{/if}
					</div><!-- .entry-content -->

				</div><!-- /.entry-title-wrap -->


				{if is_array($obituaryMeta->checkpoints) AND count($obituaryMeta->checkpoints) > 0}
					<div class="entry-data-wrap">
						<div>

							<ul>
							{foreach $obituaryMeta->checkpoints as $checkpoint}

								<li n:class="$iterator->isOdd() ? odd : even">
									<span class="label">{$checkpoint['title']}</span>
									<span class="date">{$checkpoint['date']|dateI18n: "M jS, Y"}</span>
								</li>

							{/foreach}
							</ul>

						</div>
					</div><!-- /.entry-data-wrap -->
				{/if}

				<!-- <a href="{$post->permalink}" class="more"> -->

				<!-- </a> -->

			</article>
			</a>

		{else}

			{*** STANDARD LOOP ***}

			<article {!$post->htmlId} {!$post->htmlClass}>
				<header class="entry-header {if !$post->hasImage}nothumbnail{/if}">


					{if !$post->hasImage}

						{capture $editLinkLabel}<span class="edit-link">{!__ 'Edit'}</span>{/capture}
						{!$post->editLink($editLinkLabel)}

						<div class="entry-meta">

							{includePart parts/entry-date-format, dateIcon => $post->rawDate, dateLinks => 'no', dateShort => 'no'}

							{if $post->isSticky and !$wp->isPaged and $wp->isHome}
								<span class="featured-post">{__ 'Featured post'}</span>
							{/if}

						</div><!-- /.entry-meta -->
					{/if}

					<div class="entry-title">

						<div class="entry-title-wrap">

							<h2><a href="{$post->permalink}">{!$post->title}</a></h2>

							<div class="entry-data">
								{if $post->type == post}
									{includePart parts/entry-author}
								{/if}

								{if $post->isInAnyCategory}
									{includePart parts/entry-categories}
								{/if}

{*
								{includePart parts/comments-link}
*}
							</div>

						</div><!-- /.entry-title-wrap -->
					</div><!-- /.entry-title -->



					{if $post->hasImage}
						<div class="entry-thumbnail">
							<div class="entry-thumbnail-wrap entry-content">
								<a href="{$post->permalink}" class="thumb-link">
									<span class="entry-thumbnail-icon">
										<img src="{imageUrl $post->imageUrl, width => 1000, height => 500, crop => 1}" alt="{!$post->title}">
									</span>
								</a>
							</div>
							{capture $editLinkLabel}<span class="edit-link">{!__ 'Edit'}</span>{/capture}
							{!$post->editLink($editLinkLabel)}

							<div class="entry-meta">

								{includePart parts/entry-date-format, dateIcon => $post->rawDate, dateLinks => 'no', dateShort => 'no'}

								{if $post->isSticky and !$wp->isPaged and $wp->isHome}
									<span class="featured-post">{__ 'Featured post'}</span>
								{/if}

							</div><!-- /.entry-meta -->

							<a href="{$post->permalink}" class="more">{!__ 'Read more'}</a>
						</div>
					{/if}

				</header><!-- /.entry-header -->

				<div class="entry-content loop {if !$post->hasImage}noimg{/if}">
					{!$post->excerpt}

					{if !$post->hasImage}
						<a href="{$post->permalink}" class="more">{!__ 'Read more'}</a>
					{/if}
				</div><!-- .entry-content -->

				<footer class="entry-footer">
				</footer><!-- .entry-footer -->
			</article>
		{/if}

	{else}

		{*** POST DETAIL ***}

		<article {!$post->htmlId} class="content-block">

			{includePart parts/entry-date-format, dateIcon => $post->rawDate, dateLinks => 'yes', dateShort => 'no'}


			<div class="entry-content">
				{!$post->content}
				{!$post->linkPages}
			</div><!-- .entry-content -->



			<footer class="entry-footer">

				{if $post->tagList}
						<span class="tags">
							<span class="tags-label">{__ 'Tags'}</span>
							<span class="tags-links">{!$post->tagList}</span>
						</span>
				{/if}

				{includePart parts/author-bio}
			</footer><!-- .entry-footer -->
		</article>

	{/if}
