{block content}

	{* template for page title is in parts/page-title.php *}

	{loop as $post}
		{var $meta = $post->meta('obituary-data')}

				{var $icons = $options->theme->obituary->btnIcons}


<?php

	if(is_array($meta->checkpoints) AND count($meta->checkpoints) > 0) $no_checkpoints = false;
	else $no_checkpoints = true;

	if(is_array($meta->gallery) AND count($meta->gallery) > 0) $no_gallery = false;
	else $no_gallery = true;

?>



		<div class="event-test"></div>

		<section>
			
			{if !$no_gallery OR !$no_checkpoints}
			<aside class="obituary-sidebar">
				{if !$no_gallery}
				<div class="obituary-widget obituary-gallery">

					<div class="gallery-arrows hidden top">
						<div class="arrows">
							<div class="arrow arrow-left"><!-- FDSA --></div>
							<div class="arrow arrow-right"><!-- FDSA --></div>
						</div>
						{$options->theme->obituary->galletyViewText}
					</div>

					<div class="gallery-photos">
						{foreach $meta->gallery as $photo}
							<a href="{$photo['image']}" class="wp-gallery" rel="obituary-gallery-photos">
								<img src="{imageUrl $photo['image'], width => 300, height => 200, crop => 1}" alt="{$photo['title']}">
							</a>
						{/foreach}
					</div>

					<div class="gallery-arrows hidden bottom">
						<div class="arrows">
							<div class="arrow arrow-left"><!-- FDSA --></div>
							<div class="arrow arrow-right"><!-- FDSA --></div>
						</div>
						{$options->theme->obituary->galletyViewText}
					</div>

				</div>
				{/if}


				{if !$no_checkpoints}
				<div class="obituary-widget obituary-toggle">

					<dl class="toggle-row">
						{foreach $meta->checkpoints as $checkpoint}
							<dt class="toggle-title">{!$checkpoint['title']}</dt>
							<dd class="toggle-desc">{!$checkpoint['desc']|nl2br}</dd>
						{/foreach}
					</dl> 

				</div>
				{/if}


				<div class="obituary-widget obituary-icons">
					<div class="icons-wrap">
						{foreach $icons as $icon}
							<a href="{$icon->url}" class="icon">
								<span n:class="fa, $icon->icon"><!-- {$icon->name} --></span>
							</a>
						{/foreach}
					</div>
					<span class="icons-text">{$options->theme->obituary->btnIconsText}</span>
				</div>

			</aside>
			{/if}

			<div n:class="obituary-content, entry-content, ($no_gallery AND $no_checkpoints) ? no-sidebar">
				{if $post->hasContent}
					{!$post->content}
				{else}
					{!$post->excerpt}
				{/if}
			</div><!-- .entry-content -->
			


		{if $options->theme->obituary->enableMap}
			{if is_array($meta->checkpoints) AND count($meta->gallery) > 0}

				{var $mapOptions = array(
					zoom => 1,

					draggable =>true,
					scrollwheel => false,
				)}
				{includePart parts/google-map, data => aitGetTourMapData($post, $htmlId."-".$post->id, $htmlId."-".$post->id."-container"), options => $mapOptions}

			{/if}
		{/if}


		</section>
		

		<footer class="entry-footer">

			{*if $wp->isSingle and $post->author->bio and $post->author->isMulti*}
				{*includePart parts/author-bio*}
			{*/if*}
		</footer><!-- .entry-footer -->

	{/loop}
